{
  lib,
  pkgs,
  inputs,
  ...
}: {
  home = {
    packages = with pkgs;
      [
        grc
        jamesdsp
        vesktop
      ]
      ++ (with inputs; [
        nixvim.packages.${pkgs.system}.default
      ])
      ++ (with inputs.chaotic.packages.${pkgs.system}; [
        distrobox_git
      ]);

    stateVersion = "24.05";
  };

  programs = {
    nheko.enable = true;
    nix-index-database.comma.enable = true;
    nix-index.enable = true;

    direnv = {
      enable = true;
      nix-direnv.enable = true;
    };
  };

  nix.package = lib.mkForce pkgs.nixVersions.git;
}
