{pkgs, ...}:
with pkgs; {
  imports = [
    ./fish.nix
    ./git.nix
    ./wezterm.nix
    ./macchina.nix
  ];

  programs = {
    bat = {
      enable = true;
      config.theme = "catppuccin";

      themes.catppuccin = {
        src = fetchFromGitHub {
          owner = "catppuccin";
          repo = "bat";
          rev = "ba4d16880d63e656acced2b7d4e034e4a93f74b1";
          hash = "sha256-6WVKQErGdaqb++oaXnY3i6/GuH2FhTgK0v4TN4Y0Wbw=";
        };

        file = "/Catppuccin-mocha.tmTheme";
      };
    };

    zoxide = {
      enable = true;
      options = ["--cmd" "cd"];
    };
  };
}
